Bug 813637 - [abrt] gnome-games-3.2.1-3.fc16: gsudoku.py:244:show_hint_for_entry:AttributeError: 'NoneType' object has no attribute 'possible_values'
[abrt] gnome-games-3.2.1-3.fc16: gsudoku.py:244:show_hint_for_entry:Attribute...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-games (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:38b3efa31b1f56ae78388e1312f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 01:26 EDT by Jay Fenlason
Modified: 2014-08-31 19:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 19:36:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Fenlason 2012-04-18 01:26:36 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/bin/gnome-sudoku
comment:        Trying to play sudoku
executable:     /usr/bin/gnome-sudoku
kernel:         3.2.6-3.fc16.ppc
reason:         gsudoku.py:244:show_hint_for_entry:AttributeError: 'NoneType' object has no attribute 'possible_values'
reported_to:    file: /local/home/hack/abrt.log
smolt_data:     Unable to save UUID to /etc/smolt/hw-uuid.  Please run once as root.
time:           Wed Apr 18 01:25:10 2012
uid:            1725
username:       hack

backtrace:
:gsudoku.py:244:show_hint_for_entry:AttributeError: 'NoneType' object has no attribute 'possible_values'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/gnome_sudoku/main.py", line 871, in selection_changed_cb
:    self.main_ui.gsd.update_all_hints()
:  File "/usr/lib/python2.7/site-packages/gnome_sudoku/gsudoku.py", line 446, in update_all_hints
:    self.show_hint_for_entry(e)
:  File "/usr/lib/python2.7/site-packages/gnome_sudoku/gsudoku.py", line 244, in show_hint_for_entry
:    vals = self.grid.possible_values(entry.x, entry.y)
:AttributeError: 'NoneType' object has no attribute 'possible_values'
:
:Local variables in innermost frame:
:entry: <SudokuNumberBox object at 0x105b6f58 (gnome_sudoku+number_box+SudokuNumberBox at 0x10614c20)>
:set_method: <bound method SudokuNumberBox.set_note_text of <SudokuNumberBox object at 0x105b6f58 (gnome_sudoku+number_box+SudokuNumberBox at 0x10614c20)>>
:self: <SudokuGameDisplay object at 0x105b6eb8 (gnome_sudoku+gsudoku+SudokuGameDisplay at 0x10613858)>
:interactive: False

event_log:
:2012-04-18-01:25:51* (exited with 9)
:2012-04-18-01:26:19> The report was appended to /local/home/hack/abrt.log
Comment 1 Eric Blake 2012-05-11 21:33:04 EDT
playing sudoku, but not sure what action triggered the crash

Package: gnome-games-3.2.1-3.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 2 Fedora End Of Life 2013-01-16 12:26:29 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 19:36:28 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.